//
//  PhotoCellCollectionViewCell.swift
//  SwiftCollectionView
//
//  Created by Merlyn on 11/25/14.
//  Copyright (c) 2014 The App Lady. All rights reserved.
//

import UIKit

class PhotoCell: UICollectionViewCell {
    // The collection view cell's objects
    var imageView: UIImageView!
    var caption: UILabel!
    
    required init(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        
        // Create an ImageView and add it to the collection view
        imageView = UIImageView(frame: CGRect(x:30, y:12, width:55, height:55))
        imageView.contentMode = UIViewContentMode.ScaleAspectFill
        contentView.addSubview(imageView)
        
        // Create a Label view and add it to the collection view
        let textFrame = CGRect(x:5, y:67, width:100, height:35)
        caption = UILabel(frame: textFrame)
        caption.font = UIFont.systemFontOfSize(14.0)
        caption.textAlignment = .Center
        caption.numberOfLines = 2
        caption.lineBreakMode = NSLineBreakMode.ByWordWrapping
        caption.textColor = UIColor.whiteColor()
        caption.backgroundColor = UIColor.blackColor()
        contentView.addSubview(caption)
    }
}
